Bug 807174 - Return "undefined method `application'" while destroying a domain
Return "undefined method `application'" while destroying a domain
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 04:31 EDT by bzhao
Modified: 2015-05-14 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-03-27 04:31:14 EDT
Description of problem:
It'll return "undefined method `application' for #<CloudUser:0x7fd1d13a4328>" while destroying a domain

Version-Release number of selected component (if applicable):
rhc-0.89.4-1.git.0.a917794.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1.Destroy an existing domain
# rhc-ctl-domain -n xxx -l xxx -p xxx --destroy
  
Actual results:
It'll return error message "undefined method `application' for #<CloudUser:0x7fd1d13a4328>"

Expected results:
The domain should be destroyed successfully

Additional info:
rhc-ctl-domain -n xxx --destroy
Password: 
Submitting form:
rhlogin: bzhaxxxo2
namespace: xxx
delete: true
Contacting https://xxx
Problem reported from server. Response code was 500.

DEBUG:
undefined method `application' for #<CloudUser:0x7fd1d13a4328>/usr/lib/ruby/gems/1.8/gems/activemodel-3.0.10/lib/active_model/attribute_methods.rb:392:in `method_missing'
/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.7.2/lib/stickshift-controller/app/controllers/legacy_broker_controller.rb:138:in `domain_post'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'

Exit Code: 1
api_c: placeholder
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
API version:    1.1.3

RESULT:
undefined method `application' for #<CloudUser:0x7fd1d13a4328>
Comment 1 bzhao 2012-03-28 07:50:27 EDT
Passed verifition on devenv_1674

Note You need to log in before you can comment on or make changes to this bug.